FreeBSD : poppler -- uninitialized pointer (bc20510f-4dd4-11dd-93e7-0211d880e350)

High Nessus Plugin ID 33471


The remote FreeBSD host is missing a security-related update.


Felipe Andres Manzano reports :

The libpoppler pdf rendering library, can free uninitialized pointers, leading to arbitrary code execution. This vulnerability results from memory management bugs in the Page class constructor/destructor.


Update the affected package.

See Also

Plugin Details

Severity: High

ID: 33471

File Name: freebsd_pkg_bc20510f4dd411dd93e70211d880e350.nasl

Version: $Revision: 1.14 $

Type: local

Published: 2008/07/10

Modified: 2013/06/22

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:poppler, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2008/07/09

Vulnerability Publication Date: 2008/07/07

Reference Information

CVE: CVE-2008-2950

EDB-ID: 6032

CWE: 94